### Hierarchy

- unknown
  - RemoveDataMessage

## Index

### Constructors

- constructor

### Methods

- clearProtectedStorageEntry
- getProtectedStorageEntry
- hasProtectedStorageEntry
- serializeBinary
- setProtectedStorageEntry
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RemoveDataMessage(): RemoveDataMessage

- Inherited from jspb.Message.constructor

  #### Returns RemoveDataMessage

## Methods

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): RemoveDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:863

  #### Returns RemoveDataMessage

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:860

  #### Returns undefined | ProtectedStorageEntry

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:862

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:865

  #### Returns Uint8Array

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedStorageEntry ): RemoveDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:861

  #### Parameters

  - ##### Optional value: ProtectedStorageEntry

  #### Returns RemoveDataMessage

### toObject

- toObject(includeInstance?: boolean): RemoveDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:866

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RemoveDataMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:869

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveDataMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveDataMessage, reader: BinaryReader): RemoveDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:870

  #### Parameters

  - ##### message: RemoveDataMessage

  - ##### reader: BinaryReader

  #### Returns RemoveDataMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveDataMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:868

  #### Parameters

  - ##### message: RemoveDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RemoveDataMessage ): RemoveDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:867

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveDataMessage

  #### Returns RemoveDataMessage . AsObject

Generated using TypeDoc